[arch-commits] Commit in python-invoke/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 9 15:41:22 UTC 2020


    Date: Monday, November 9, 2020 @ 15:41:22
  Author: felixonmars
Revision: 747086

archrelease: copy trunk to community-staging-any

Added:
  python-invoke/repos/community-staging-any/
  python-invoke/repos/community-staging-any/PKGBUILD
    (from rev 747085, python-invoke/trunk/PKGBUILD)

----------+
 PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

Copied: python-invoke/repos/community-staging-any/PKGBUILD (from rev 747085, python-invoke/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 15:41:22 UTC (rev 747086)
@@ -0,0 +1,34 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-invoke
+pkgver=1.4.1
+pkgrel=2
+pkgdesc="Pythonic task execution"
+url="https://github.com/pyinvoke/invoke"
+license=('BSD')
+arch=('any')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-mock' 'python-pytest-relaxed')
+source=("https://pypi.io/packages/source/i/invoke/invoke-$pkgver.tar.gz")
+sha512sums=('9076a1e643e3496b180d486de48efe599eddafc3e8ac32ab5cfcb27c5aabfd4ea360c0e2e59f96aceb65f3453b5ff2c228bf7d76635fe62854fe092b1ebdf3b2')
+
+prepare() {
+  find invoke-$pkgver -type f -name '*.pyc' -delete
+}
+
+build() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py pytest || echo "Tests failed"
+}
+
+package() {
+  cd invoke-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list